Skip to content

SSL

All operations require authentication.

4 operationsv1/cdn/dedicated
Agent setup

Get the SSL certificateProduction

GET
/1.0/cdn/dedicated/{serviceName}/ssl

Path parameters

serviceName
required
string

The internal name of your CDN offer

Response

200Sslsuccessful operation
certificateProvider
read-only
string

Provider of the certificate installed on CDN

certificateValidFrom
read-only
stringdate-time
—
certificateValidTo
read-only
stringdate-time
—
cn
read-only
string
—
name
read-only
string
—
status
read-only
SslStateEnum

All states a CDN SSL can be in

Valuescheckingcreatingerroroffonremovingupdatinguploading

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "certificateProvider": "string", "certificateValidFrom": "2024-01-01T12:00:00Z", "certificateValidTo": "2024-01-01T12:00:00Z", "cn": "string", "name": "string", "status": "checking"}

Create an SSL certificateProduction

POST
/1.0/cdn/dedicated/{serviceName}/ssl

Path parameters

serviceName
required
string

The internal name of your CDN offer

Request body (required)

certificate
string

certificate (empty for lets encrypt generation)

chain
string

certificate chain (empty for lets encrypt generation)

key
string

certificate key (empty for lets encrypt generation)

name
required
string

ssl name to add on CDN

Response

200Sslsuccessful operation
certificateProvider
read-only
string

Provider of the certificate installed on CDN

certificateValidFrom
read-only
stringdate-time
—
certificateValidTo
read-only
stringdate-time
—
cn
read-only
string
—
name
read-only
string
—
status
read-only
SslStateEnum

All states a CDN SSL can be in

Valuescheckingcreatingerroroffonremovingupdatinguploading

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "certificateProvider": "string", "certificateValidFrom": "2024-01-01T12:00:00Z", "certificateValidTo": "2024-01-01T12:00:00Z", "cn": "string", "name": "string", "status": "checking"}

Delete the SSL certificateProduction

DELETE
/1.0/cdn/dedicated/{serviceName}/ssl

Path parameters

serviceName
required
string

The internal name of your CDN offer

Response

200Tasksuccessful operation
comment
read-only
string
—
function
read-only
TaskFunctionEnum

All function CDN task can be

ValuesflushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRule
status
read-only
TaskStateEnum

All states a CDN task can be in

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}

Update the SSL certificateProduction

POST
/1.0/cdn/dedicated/{serviceName}/ssl/update

Path parameters

serviceName
required
string

The internal name of your CDN offer

Request body (required)

certificate
required
string

certificate

chain
string

certificate chain

key
required
string

certificate key

Response

200Tasksuccessful operation
comment
read-only
string
—
function
read-only
TaskFunctionEnum

All function CDN task can be

ValuesflushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRule
status
read-only
TaskStateEnum

All states a CDN task can be in

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/ssl/update \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}